Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.common
Class PreferenceImpl

    java.lang.Object
      org.jasig.portal.container.om.common.PreferenceImpl

All Implemented Interfaces:
  java.io.Serializable, org.apache.pluto.om.common.Preference, org.apache.pluto.om.common.PreferenceCtrl, org.apache.pluto.om.Controller, org.apache.pluto.om.Model

    public class PreferenceImpl

extends java.lang.Object
implements org.apache.pluto.om.common.Preference, org.apache.pluto.om.common.PreferenceCtrl, java.io.Serializable

Implementation of Apache Pluto object model.

Version:
  $Revision: 1.7 $
Author:
  Ken Weiner, kweiner@unicon.net
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `name`
`private boolean` | `readOnly`
`private java.util.Collection` | `values`

Constructor Summary
`PreferenceImpl()`
`PreferenceImpl(java.lang.String name, java.util.Collection values, boolean readOnly)`

Method Summary
`java.lang.String` | `getFirstValue()`
`java.lang.String` | `getName()`
`java.util.Iterator` | `getValues()`
`boolean` | `isReadOnly()`
`boolean` | `isValueSet()`
`void` | `setName(java.lang.String name)`
`void` | `setReadOnly(boolean readOnly)`
`void` | `setReadOnly(java.lang.String readOnly)`
`void` | `setValues(java.util.List values)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    private java.lang.String name

### readOnly

    private boolean readOnly

### values

    private java.util.Collection values

Constructor Detail

### PreferenceImpl

    public PreferenceImpl()

### PreferenceImpl

    public PreferenceImpl(java.lang.String name,
                          java.util.Collection values,
                          boolean readOnly)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.apache.pluto.om.common.Preference`

### getValues

    public java.util.Iterator getValues()

  Specified by:
    `getValues` in interface `org.apache.pluto.om.common.Preference`

### isReadOnly

    public boolean isReadOnly()

  Specified by:
    `isReadOnly` in interface `org.apache.pluto.om.common.Preference`

### isValueSet

    public boolean isValueSet()

  Specified by:
    `isValueSet` in interface `org.apache.pluto.om.common.Preference`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `org.apache.pluto.om.common.PreferenceCtrl`

### setValues

    public void setValues(java.util.List values)

  Specified by:
    `setValues` in interface `org.apache.pluto.om.common.PreferenceCtrl`

### setReadOnly

    public void setReadOnly(java.lang.String readOnly)

  Specified by:
    `setReadOnly` in interface `org.apache.pluto.om.common.PreferenceCtrl`

### setReadOnly

    public void setReadOnly(boolean readOnly)

### getFirstValue

    public java.lang.String getFirstValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD